Class CustomAPIQueryKeyValue (0.37.0)

public final class CustomAPIQueryKeyValue extends GeneratedMessage implements CustomAPIQueryKeyValueOrBuilder

CustomAPIQueryKeyValue defines dynamic query parameters key-values for Custom API Auth.

Protobuf type google.cloud.chronicle.v1.CustomAPIQueryKeyValue

Static Fields

KEY_FIELD_NUMBER

public static final int KEY_FIELD_NUMBER
Field Value
Type Description
int

VALUE_FIELD_NUMBER

public static final int VALUE_FIELD_NUMBER
Field Value
Type Description
int

Static Methods

getDefaultInstance()

public static CustomAPIQueryKeyValue getDefaultInstance()
Returns
Type Description
CustomAPIQueryKeyValue

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

newBuilder()

public static CustomAPIQueryKeyValue.Builder newBuilder()
Returns
Type Description
CustomAPIQueryKeyValue.Builder

newBuilder(CustomAPIQueryKeyValue prototype)

public static CustomAPIQueryKeyValue.Builder newBuilder(CustomAPIQueryKeyValue prototype)
Parameter
Name Description
prototype CustomAPIQueryKeyValue
Returns
Type Description
CustomAPIQueryKeyValue.Builder

parseDelimitedFrom(InputStream input)

public static CustomAPIQueryKeyValue parseDelimitedFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
IOException

parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static CustomAPIQueryKeyValue parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
IOException

parseFrom(byte[] data)

public static CustomAPIQueryKeyValue parseFrom(byte[] data)
Parameter
Name Description
data byte[]
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)

public static CustomAPIQueryKeyValue parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data byte[]
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data)

public static CustomAPIQueryKeyValue parseFrom(ByteString data)
Parameter
Name Description
data ByteString
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)

public static CustomAPIQueryKeyValue parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteString
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(CodedInputStream input)

public static CustomAPIQueryKeyValue parseFrom(CodedInputStream input)
Parameter
Name Description
input CodedInputStream
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
IOException

parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public static CustomAPIQueryKeyValue parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
IOException

parseFrom(InputStream input)

public static CustomAPIQueryKeyValue parseFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
IOException

parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static CustomAPIQueryKeyValue parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
IOException

parseFrom(ByteBuffer data)

public static CustomAPIQueryKeyValue parseFrom(ByteBuffer data)
Parameter
Name Description
data ByteBuffer
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)

public static CustomAPIQueryKeyValue parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteBuffer
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CustomAPIQueryKeyValue
Exceptions
Type Description
InvalidProtocolBufferException

parser()

public static Parser<CustomAPIQueryKeyValue> parser()
Returns
Type Description
Parser<CustomAPIQueryKeyValue>

Methods

equals(Object obj)

public boolean equals(Object obj)
Parameter
Name Description
obj Object
Returns
Type Description
boolean
Overrides

getDefaultInstanceForType()

public CustomAPIQueryKeyValue getDefaultInstanceForType()
Returns
Type Description
CustomAPIQueryKeyValue

getKey()

public String getKey()

Required. Enter the name of the URL Query Parameter (e.g., api_key or token).

string key = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
String

The key.

getKeyBytes()

public ByteString getKeyBytes()

Required. Enter the name of the URL Query Parameter (e.g., api_key or token).

string key = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
ByteString

The bytes for key.

getParserForType()

public Parser<CustomAPIQueryKeyValue> getParserForType()
Returns
Type Description
Parser<CustomAPIQueryKeyValue>
Overrides

getSerializedSize()

public int getSerializedSize()
Returns
Type Description
int
Overrides

getValue()

public String getValue()

Required. Enter the API Key or credential value associated with the query parameter.

string value = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
String

The value.

getValueBytes()

public ByteString getValueBytes()

Required. Enter the API Key or credential value associated with the query parameter.

string value = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
ByteString

The bytes for value.

hashCode()

public int hashCode()
Returns
Type Description
int
Overrides

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

newBuilderForType()

public CustomAPIQueryKeyValue.Builder newBuilderForType()
Returns
Type Description
CustomAPIQueryKeyValue.Builder

newBuilderForType(AbstractMessage.BuilderParent parent)

protected CustomAPIQueryKeyValue.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Parameter
Name Description
parent BuilderParent
Returns
Type Description
CustomAPIQueryKeyValue.Builder
Overrides

toBuilder()

public CustomAPIQueryKeyValue.Builder toBuilder()
Returns
Type Description
CustomAPIQueryKeyValue.Builder

writeTo(CodedOutputStream output)

public void writeTo(CodedOutputStream output)
Parameter
Name Description
output CodedOutputStream
Overrides
Exceptions
Type Description
IOException